Page MenuHomePhabricator

Training: Hack safely (introduction to writing safer code)
Closed, ResolvedPublic

Description

What all developers should know about preventing security issues in their code. The training will cover the material from https://www.mediawiki.org/wiki/Security_for_developers for new or intermediate MediaWiki developers.

Event Timeline

csteipp created this task.Mar 5 2015, 12:11 AM
csteipp updated the task description. (Show Details)
csteipp raised the priority of this task from to Needs Triage.
csteipp claimed this task.
csteipp added a subscriber: csteipp.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 5 2015, 12:11 AM
Qgil added a subscriber: Qgil.May 7 2015, 1:26 AM

Are you still planning to run this session? If so, we need to know how much time you need, roughly how many participants you expect, and any other requirements/requests that you might have.

Are you still planning to run this session? If so, we need to know how much time you need, roughly how many participants you expect, and any other requirements/requests that you might have.

I would like to!

60-90 minutes would let me cover both aspects. I can split that into two separate talks as well (one for more beginners, one for more experienced mediawiki developers). If it's similar to other hackathons, I would guess ~10 people.

Qgil added a comment.May 18 2015, 11:12 AM

It is time to promote Wikimedia-Hackathon-2015 activities in the program (training sessions and meetings) and main wiki page (hacking projects and other ongoing activities). Follow the instructions, please. If you have questions, about this message, ask here.

csteipp renamed this task from Secure code training to Training: Secure code.May 18 2015, 5:15 PM
csteipp updated the task description. (Show Details)
csteipp set Security to None.
csteipp renamed this task from Training: Secure code to Training: Hack safely (introduction to writing safer code).May 18 2015, 5:32 PM
csteipp updated the task description. (Show Details)

Split off the architecture training into T99544, since the audiences may be different. I can recombine if we need to reduce the number of scheduled activities.

Qgil closed this task as Resolved.May 24 2015, 7:50 PM

Slides (with xkcd link)